"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const schema_view_registry_1 = require("./schema-view-registry");
const predicates = __importStar(require("./schema-predicates"));
const views = __importStar(require("./views"));
const registry = new schema_view_registry_1.SchemaViewRegistry();
registry.registerView(views.FallbackTypeView, predicates.catchAll);
registry.registerView(views.FunctionTypeView, predicates.isFunction);
registry.registerView(views.UnionTypeView, predicates.isUnion);
registry.registerView(views.ObjectTypeView, predicates.isObject);
registry.registerView(views.InterfaceTypeView, predicates.isInterface);
registry.registerView(views.ArrayTypeView, predicates.isArray);
registry.registerView(views.StringTypeView, predicates.isString);
registry.registerView(views.NumberTypeView, predicates.isNumber);
registry.registerView(views.BooleanTypeView, predicates.isBoolean);
registry.registerView(views.UndefinedTypeView, predicates.isUndefined);
registry.registerView(views.NullTypeView, predicates.isNull);
registry.registerView(views.AnyTypeView, predicates.isAny);
registry.registerView(views.ModuleView, predicates.isModule);
registry.registerView(views.InterfaceView, predicates.isInterface, 'expanded');
exports.defaultSchemaViewRegistry = registry;
//# sourceMappingURL=default-registry.js.map