"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.catchAll = () => true;
exports.isAny = (schema) => Object.keys(schema).length === 0;
exports.isNull = (schema) => schema.$ref === 'common/null';
exports.isUndefined = (schema) => schema.$ref === 'common/undefined';
exports.isVoid = exports.isUndefined; // applicable only to return types
exports.isBoolean = (schema) => schema.type === 'boolean' && !schema.enum;
exports.isNumber = (schema) => schema.type === 'number' && !schema.enum;
exports.isString = (schema) => schema.type === 'string' && !schema.enum;
exports.isArray = (schema) => schema.type === 'array';
exports.isObject = (schema) => schema.type === 'object';
exports.isPrimitiveUnion = (schema) => Boolean(schema.enum);
exports.isNonPrimitiveUnion = (schema) => Boolean(schema.$oneOf);
exports.isUnion = (schema) => exports.isPrimitiveUnion(schema) || exports.isNonPrimitiveUnion(schema);
exports.isFunction = (schema) => schema.$ref === 'common/function' ||
    schema.$ref === 'common/class_constructor';
exports.isInterface = (schema) => schema.$ref === 'common/interface';
exports.isSimpleType = (schema) => exports.isAny(schema) || exports.isNull(schema) || exports.isUndefined(schema) ||
    exports.isBoolean(schema) || exports.isNumber(schema) || exports.isString(schema);
exports.isModule = (schema) => schema.$ref === 'common/module';
//# sourceMappingURL=schema-predicates.js.map