"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const base_1 = require("../base");
const table_st_css_1 = __importDefault(require("./table.st.css"));
exports.InterfaceView = (props) => {
    const { schema } = props;
    const requiredProps = schema.required || [];
    const properties = schema.properties || [];
    const entries = Object.entries(properties).map(([propName, propSchema]) => {
        const name = propName;
        const description = propSchema.description || '';
        const isRequired = requiredProps.includes(propName);
        const type = (react_1.default.createElement(base_1.BaseView, { schemaRegistry: props.schemaRegistry, viewRegistry: props.viewRegistry, schema: propSchema }));
        return { name, isRequired, type, description };
    });
    return (react_1.default.createElement("table", Object.assign({}, table_st_css_1.default('root', {}, props)),
        react_1.default.createElement("thead", null,
            react_1.default.createElement("tr", null,
                react_1.default.createElement("th", { className: table_st_css_1.default.header }, "Name"),
                react_1.default.createElement("th", { className: table_st_css_1.default.header }, "Type"),
                react_1.default.createElement("th", { className: table_st_css_1.default.header }, "Description"))),
        react_1.default.createElement("tbody", null, entries.map(({ name, isRequired, type, description }) => react_1.default.createElement("tr", { key: name },
            react_1.default.createElement("td", { className: table_st_css_1.default.propName },
                name,
                isRequired ? '' : '?'),
            react_1.default.createElement("td", { className: table_st_css_1.default.propType }, type),
            react_1.default.createElement("td", { className: table_st_css_1.default.propDescription }, description))))));
};
//# sourceMappingURL=interface.js.map