"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const utils_1 = require("../../utils");
const schema_predicates_1 = require("../../schema-predicates");
const base_1 = require("../base");
const type_st_css_1 = __importDefault(require("./type.st.css"));
exports.FunctionTypeView = (props) => {
    const { schema } = props;
    const restArg = schema.restArgument;
    const required = schema.requiredArguments || [];
    const returnTypeJsx = schema_predicates_1.isVoid(schema.returns) ?
        'void' :
        (react_1.default.createElement(base_1.BaseView, { schemaRegistry: props.schemaRegistry, viewRegistry: props.viewRegistry, schema: schema.returns }));
    const args = schema.arguments.map((arg) => {
        const optional = required.includes(arg.name) ? '' : '?';
        const defaultValue = arg.default;
        return [
            arg.name + optional + ': ',
            (react_1.default.createElement(base_1.BaseView, { schemaRegistry: props.schemaRegistry, viewRegistry: props.viewRegistry, schema: arg })),
            defaultValue ? ` = ${defaultValue}` : ''
        ];
    });
    if (restArg) {
        args.push([
            `...${restArg.name}: `,
            (react_1.default.createElement(base_1.BaseView, { schemaRegistry: props.schemaRegistry, viewRegistry: props.viewRegistry, schema: restArg }))
        ]);
    }
    const commaSeparatedArgs = react_1.default.Children.toArray(utils_1.intersperse(args, ', '));
    return (react_1.default.createElement("div", Object.assign({}, type_st_css_1.default('root', { category: 'function' }, props)),
        "(",
        commaSeparatedArgs,
        ") => ",
        returnTypeJsx));
};
//# sourceMappingURL=function.js.map