"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const utils_1 = require("../../utils");
const base_1 = require("../base");
const utils_2 = require("../../utils");
const type_st_css_1 = __importDefault(require("./type.st.css"));
const renderObjectKey = (key) => utils_2.isValidJsIdentifier(key) ? key : JSON.stringify(key);
const openingBrace = '{';
const closingBrace = '}';
exports.InterfaceTypeView = (props) => {
    const { schema } = props;
    const required = schema.required || [];
    const entries = Object.entries(schema.properties).map(([propName, propSchema]) => {
        const optional = required.includes(propName) ? '' : '?';
        return (react_1.default.createElement(react_1.default.Fragment, { key: propName },
            renderObjectKey(propName),
            optional,
            ":",
            ' ',
            react_1.default.createElement(base_1.BaseView, { schemaRegistry: props.schemaRegistry, viewRegistry: props.viewRegistry, schema: propSchema })));
    });
    return (react_1.default.createElement("div", Object.assign({}, type_st_css_1.default('root', { category: 'interface' }, props)),
        openingBrace,
        utils_1.intersperse(entries, ', '),
        closingBrace));
};
//# sourceMappingURL=interface.js.map