"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const utils_1 = require("../../utils");
const schema_predicates_1 = require("../../schema-predicates");
const base_1 = require("../base");
const type_st_css_1 = __importDefault(require("./type.st.css"));
exports.UnionTypeView = (props) => {
    const { schema } = props;
    const itemSchemas = schema_predicates_1.isPrimitiveUnion(schema) ? [schema] : schema.$oneOf;
    const itemNodes = [];
    for (const itemSchema of itemSchemas) {
        if (schema_predicates_1.isPrimitiveUnion(itemSchema)) {
            for (const primitiveType of itemSchema.enum) {
                itemNodes.push(JSON.stringify(primitiveType));
            }
        }
        else {
            itemNodes.push(react_1.default.createElement(base_1.BaseView, { schemaRegistry: props.schemaRegistry, viewRegistry: props.viewRegistry, schema: itemSchema }));
        }
    }
    return (react_1.default.createElement("div", Object.assign({}, type_st_css_1.default('root', { category: 'union' }, props)), react_1.default.Children.toArray(utils_1.intersperse(itemNodes, ' | '))));
};
//# sourceMappingURL=union.js.map