export const catchAll = () => true;
export const isAny = (schema) => Object.keys(schema).length === 0;
export const isNull = (schema) => schema.$ref === 'common/null';
export const isUndefined = (schema) => schema.$ref === 'common/undefined';
export const isVoid = isUndefined; // applicable only to return types
export const isBoolean = (schema) => schema.type === 'boolean' && !schema.enum;
export const isNumber = (schema) => schema.type === 'number' && !schema.enum;
export const isString = (schema) => schema.type === 'string' && !schema.enum;
export const isArray = (schema) => schema.type === 'array';
export const isObject = (schema) => schema.type === 'object';
export const isPrimitiveUnion = (schema) => Boolean(schema.enum);
export const isNonPrimitiveUnion = (schema) => Boolean(schema.$oneOf);
export const isUnion = (schema) => isPrimitiveUnion(schema) || isNonPrimitiveUnion(schema);
export const isFunction = (schema) => schema.$ref === 'common/function' ||
    schema.$ref === 'common/class_constructor';
export const isInterface = (schema) => schema.$ref === 'common/interface';
export const isSimpleType = (schema) => isAny(schema) || isNull(schema) || isUndefined(schema) ||
    isBoolean(schema) || isNumber(schema) || isString(schema);
export const isModule = (schema) => schema.$ref === 'common/module';
//# sourceMappingURL=schema-predicates.js.map