export class SchemaViewRegistry {
    constructor() {
        this.views = [];
    }
    registerView(view, predicate, variant) {
        this.views.unshift({ view, predicate, variant });
    }
    getViewForSchema(schema, variant) {
        const match = variant ?
            this.findView(schema, variant) || this.findView(schema) :
            this.findView(schema);
        if (match) {
            return match.view;
        }
        throw new Error('No matching view found for schema');
    }
    findView(schema, variant) {
        return this.views.find((view) => view.variant === variant && view.predicate(schema));
    }
}
//# sourceMappingURL=schema-view-registry.js.map