import React from 'react';
import { BaseView } from '../base';
import style from './table.st.css';
export const InterfaceView = (props) => {
    const { schema } = props;
    const requiredProps = schema.required || [];
    const properties = schema.properties || [];
    const entries = Object.entries(properties).map(([propName, propSchema]) => {
        const name = propName;
        const description = propSchema.description || '';
        const isRequired = requiredProps.includes(propName);
        const type = (React.createElement(BaseView, { schemaRegistry: props.schemaRegistry, viewRegistry: props.viewRegistry, schema: propSchema }));
        return { name, isRequired, type, description };
    });
    return (React.createElement("table", Object.assign({}, style('root', {}, props)),
        React.createElement("thead", null,
            React.createElement("tr", null,
                React.createElement("th", { className: style.header }, "Name"),
                React.createElement("th", { className: style.header }, "Type"),
                React.createElement("th", { className: style.header }, "Description"))),
        React.createElement("tbody", null, entries.map(({ name, isRequired, type, description }) => React.createElement("tr", { key: name },
            React.createElement("td", { className: style.propName },
                name,
                isRequired ? '' : '?'),
            React.createElement("td", { className: style.propType }, type),
            React.createElement("td", { className: style.propDescription }, description))))));
};
//# sourceMappingURL=interface.js.map