import React from 'react';
import { BaseView } from '../base';
export const ModuleView = (props) => {
    const definitions = Object.assign({}, props.schema.properties, props.schema.definitions);
    const defs = Array.from(Object.entries(definitions)).map(([name, defSchema]) => (React.createElement("div", { key: name },
        React.createElement("h2", null,
            name,
            ":"),
        React.createElement(BaseView, { schema: defSchema, schemaRegistry: props.schemaRegistry, viewRegistry: props.viewRegistry, variant: "expanded" }))));
    return (React.createElement("div", null,
        React.createElement("h1", null, "Module"),
        React.createElement("div", null,
            React.createElement("em", null, props.schema.$id)),
        defs));
};
//# sourceMappingURL=module.js.map