import React from 'react';
import { BaseView } from '../base';
import { isSimpleType } from '../../schema-predicates';
import style from './type.st.css';
export const ArrayTypeView = (props) => {
    const itemSchema = props.schema.items;
    const itemJsx = (React.createElement(BaseView, { schemaRegistry: props.schemaRegistry, viewRegistry: props.viewRegistry, schema: itemSchema }));
    const arrayJsx = isSimpleType(itemSchema) ?
        React.createElement(React.Fragment, null,
            itemJsx,
            "[]") :
        React.createElement(React.Fragment, null,
            "Array",
            '<',
            itemJsx,
            '>');
    return (React.createElement("div", Object.assign({}, style('root', { category: 'array' }, props)), arrayJsx));
};
//# sourceMappingURL=array.js.map