import React from 'react';
import { intersperse } from '../../utils';
import { BaseView } from '../base';
import { isValidJsIdentifier } from '../../utils';
import style from './type.st.css';
const renderObjectKey = (key) => isValidJsIdentifier(key) ? key : JSON.stringify(key);
const openingBrace = '{';
const closingBrace = '}';
export const InterfaceTypeView = (props) => {
    const { schema } = props;
    const required = schema.required || [];
    const entries = Object.entries(schema.properties).map(([propName, propSchema]) => {
        const optional = required.includes(propName) ? '' : '?';
        return (React.createElement(React.Fragment, { key: propName },
            renderObjectKey(propName),
            optional,
            ":",
            ' ',
            React.createElement(BaseView, { schemaRegistry: props.schemaRegistry, viewRegistry: props.viewRegistry, schema: propSchema })));
    });
    return (React.createElement("div", Object.assign({}, style('root', { category: 'interface' }, props)),
        openingBrace,
        intersperse(entries, ', '),
        closingBrace));
};
//# sourceMappingURL=interface.js.map