import React from 'react';
import { intersperse } from '../../utils';
import { BaseView } from '../base';
import { isValidJsIdentifier } from '../../utils';
import style from './type.st.css';
const renderObjectKey = (key) => isValidJsIdentifier(key) ? key : JSON.stringify(key);
export const ObjectTypeView = (props) => {
    const { schema } = props;
    const required = schema.required || [];
    const properties = schema.properties || [];
    const entries = Object.entries(properties).map(([propName, propSchema]) => {
        const optional = required.includes(propName) ? '' : '?';
        return (React.createElement(React.Fragment, { key: propName },
            renderObjectKey(propName),
            optional,
            ":",
            ' ',
            React.createElement(BaseView, { schemaRegistry: props.schemaRegistry, viewRegistry: props.viewRegistry, schema: propSchema })));
    });
    return (React.createElement("div", Object.assign({}, style('root', { category: 'object' }, props)),
        '{',
        intersperse(entries, ', '),
        '}'));
};
//# sourceMappingURL=object.js.map